summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-10-22 00:48:29 +0200
committerMichał Górny <mgorny@gentoo.org>2020-10-22 00:51:37 +0200
commit0c1335aca12876c27b98eb56f32d2c4d3b07274e (patch)
tree082ccc6513abb5232214909dbb3ab1509bc9bd91 /dev-python/virtualenv
parentdev-python/urwid: Remove old (diff)
downloadgentoo-0c1335aca12876c27b98eb56f32d2c4d3b07274e.tar.gz
gentoo-0c1335aca12876c27b98eb56f32d2c4d3b07274e.tar.bz2
gentoo-0c1335aca12876c27b98eb56f32d2c4d3b07274e.zip
dev-python/virtualenv: Remove old
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/virtualenv')
-rw-r--r--dev-python/virtualenv/Manifest4
-rw-r--r--dev-python/virtualenv/virtualenv-20.0.31-r1.ebuild93
-rw-r--r--dev-python/virtualenv/virtualenv-20.0.32.ebuild93
-rw-r--r--dev-python/virtualenv/virtualenv-20.0.33.ebuild93
-rw-r--r--dev-python/virtualenv/virtualenv-20.0.34.ebuild93
5 files changed, 0 insertions, 376 deletions
diff --git a/dev-python/virtualenv/Manifest b/dev-python/virtualenv/Manifest
index 8ac4dfa1b1a..4702e3f6988 100644
--- a/dev-python/virtualenv/Manifest
+++ b/dev-python/virtualenv/Manifest
@@ -1,6 +1,2 @@
DIST virtualenv-16.7.10.tar.gz 5116776 BLAKE2B 42f0a4b4330850b504f8febd991ef6ecdcbb0821efdd94ca324a8cc34a68a760a8a98de97f0cb2384d8e6cbb0ce8f261995c6433886444e29b75ba0ce09ca12c SHA512 f06d7c354ce1910f04dbcbe1a77e60392653bbe4f638bafbe9284454db2c0e5d63cf9159201d0916fc01aaba91d45fb733b63096c38517fcd83fd00ed8b26d28
-DIST virtualenv-20.0.31.tar.gz 8300305 BLAKE2B 1574b553b2bc8e05bf00584379f80c1e5c0ee9798595255830059eedea62f02f02d216c421aa2cb312bc9e60694f6a409d0c2495858a89fc1ad7aaddea7965ff SHA512 46220bda37b3b860e44c4d0775a89c22a7ba775287f05438d1d3698201cc213a05b2718ef40be302627005ae349dc59a3141c7a30cc1dab6dc81f7692c7f16a5
-DIST virtualenv-20.0.32.tar.gz 8282189 BLAKE2B 91cfece89079cf05bab406e86a7b4d89ff65b058682f989c1a87ed63ffd9a06447983935a05409e1f8116c45434fe5b4040ed713ae01c17887050709af26a422 SHA512 6080a395df16cc4d38a3afa90337fe0f60ce1d6906c4d62f461c90c67df2967a27144def0891407a96405d7b1ca8b838a0daeed4ccc775ffee35f7dc14f54598
-DIST virtualenv-20.0.33.tar.gz 8282602 BLAKE2B 702432c39fb4e6802e9d456f2c1c10872e45c616dba72e52397d10328d310a920b1b475fcb0543ba05f7adc5d780adf9d6a9c850f5844b833c9bd66b7bb0fbc9 SHA512 3bb68734884fa88343070c19e5d931a36fb90f1351bbc24c0db7bea26172e9118fa088310d2667b568e268dc33141c62cad372e2ad03106eda72751a0c1895ea
-DIST virtualenv-20.0.34.tar.gz 8282838 BLAKE2B 73352c278bac6d2bc548beee738bf5f9972430681edca242f2945d8301373094a378fe3ecf2a72bae11e2bf9c28b8bf0a8526ee5e52a9a5344ac4f46c3af7a9a SHA512 4ea4b9a13771984dc5e9922ee79f3577dabcb8f49afa0e4a138114e20fb81e136b8c140a3dce471a01beefbff495dc3eb29bf9cf389bdb856e55838a53a49658
DIST virtualenv-20.0.35.tar.gz 8283086 BLAKE2B 66d6b22d9928bf3925c8911e24fa1ba22d1276518c23e0d951c58cca0cb34f67e5053f27882ab9eafbdba040a893861eadb40497398d9deaacb45c461bfa01cc SHA512 066cefbf9c6c77277a1c97c8cf555a8b4411784ad289c058f107872be15e9dd4ef9ac6e4ec64143e0b30512d9f454408e18e434ef8f9b2bfe3e6456fade71251
diff --git a/dev-python/virtualenv/virtualenv-20.0.31-r1.ebuild b/dev-python/virtualenv/virtualenv-20.0.31-r1.ebuild
deleted file mode 100644
index a734981f18b..00000000000
--- a/dev-python/virtualenv/virtualenv-20.0.31-r1.ebuild
+++ /dev/null
@@ -1,93 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6..9} pypy3 )
-DISTUTILS_USE_SETUPTOOLS=manual
-
-inherit distutils-r1
-
-DESCRIPTION="Virtual Python Environment builder"
-HOMEPAGE="
- https://virtualenv.pypa.io/en/stable/
- https://pypi.org/project/virtualenv/
- https://github.com/pypa/virtualenv/
-"
-SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- >=dev-python/appdirs-1.4.3[${PYTHON_USEDEP}]
- >=dev-python/distlib-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/filelock-3[${PYTHON_USEDEP}]
- >=dev-python/setuptools-41[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/importlib_metadata-0.12[${PYTHON_USEDEP}]
- ' python3_{6,7} pypy3)
- $(python_gen_cond_dep '
- >=dev-python/importlib_resources-1.0[${PYTHON_USEDEP}]
- ' python3_6 pypy3)"
-# coverage is used somehow magically in virtualenv, maybe it actually
-# tests something useful
-BDEPEND="
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- ${RDEPEND}
- $(python_gen_cond_dep '
- dev-python/coverage[${PYTHON_USEDEP}]
- dev-python/flaky[${PYTHON_USEDEP}]
- >=dev-python/pip-20.0.2[${PYTHON_USEDEP}]
- >=dev-python/pytest-5[${PYTHON_USEDEP}]
- >=dev-python/pytest-freezegun-0.4.1[${PYTHON_USEDEP}]
- >=dev-python/pytest-mock-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/pytest-timeout-1.3.4[${PYTHON_USEDEP}]
- dev-python/wheel[${PYTHON_USEDEP}]
- >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
- ' 'python3*')
- )"
-
-distutils_enable_sphinx docs \
- dev-python/sphinx_rtd_theme \
- dev-python/towncrier
-
-src_prepare() {
- # we don't have xonsh
- rm tests/unit/activation/test_xonsh.py || die
- # require internet
- sed -e 's:test_seed_link_via_app_data:_&:' \
- -i tests/unit/seed/embed/test_boostrap_link_via_app_data.py || die
- # TODO: investigate
- sed -e 's:test_cross_major:_&:' \
- -i tests/unit/create/test_creator.py || die
-
- distutils-r1_src_prepare
-}
-
-src_configure() {
- export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
-}
-
-python_test() {
- if [[ ${EPYTHON} == pypy3 ]]; then
- # TODO: skip with better granularity
- ewarn "Skipping broken tests on pypy3"
- return
- fi
-
- distutils_install_for_testing
-
- pytest -vv || die "Tests fail with ${EPYTHON}"
-}
-
-pkg_postinst() {
- elog "Please note that while virtualenv package no longer supports"
- elog "Python 2.7, you can still create py2.7 virtualenvs via:"
- elog " $ virtualenv -p 2.7 ..."
-}
diff --git a/dev-python/virtualenv/virtualenv-20.0.32.ebuild b/dev-python/virtualenv/virtualenv-20.0.32.ebuild
deleted file mode 100644
index a734981f18b..00000000000
--- a/dev-python/virtualenv/virtualenv-20.0.32.ebuild
+++ /dev/null
@@ -1,93 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6..9} pypy3 )
-DISTUTILS_USE_SETUPTOOLS=manual
-
-inherit distutils-r1
-
-DESCRIPTION="Virtual Python Environment builder"
-HOMEPAGE="
- https://virtualenv.pypa.io/en/stable/
- https://pypi.org/project/virtualenv/
- https://github.com/pypa/virtualenv/
-"
-SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- >=dev-python/appdirs-1.4.3[${PYTHON_USEDEP}]
- >=dev-python/distlib-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/filelock-3[${PYTHON_USEDEP}]
- >=dev-python/setuptools-41[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/importlib_metadata-0.12[${PYTHON_USEDEP}]
- ' python3_{6,7} pypy3)
- $(python_gen_cond_dep '
- >=dev-python/importlib_resources-1.0[${PYTHON_USEDEP}]
- ' python3_6 pypy3)"
-# coverage is used somehow magically in virtualenv, maybe it actually
-# tests something useful
-BDEPEND="
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- ${RDEPEND}
- $(python_gen_cond_dep '
- dev-python/coverage[${PYTHON_USEDEP}]
- dev-python/flaky[${PYTHON_USEDEP}]
- >=dev-python/pip-20.0.2[${PYTHON_USEDEP}]
- >=dev-python/pytest-5[${PYTHON_USEDEP}]
- >=dev-python/pytest-freezegun-0.4.1[${PYTHON_USEDEP}]
- >=dev-python/pytest-mock-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/pytest-timeout-1.3.4[${PYTHON_USEDEP}]
- dev-python/wheel[${PYTHON_USEDEP}]
- >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
- ' 'python3*')
- )"
-
-distutils_enable_sphinx docs \
- dev-python/sphinx_rtd_theme \
- dev-python/towncrier
-
-src_prepare() {
- # we don't have xonsh
- rm tests/unit/activation/test_xonsh.py || die
- # require internet
- sed -e 's:test_seed_link_via_app_data:_&:' \
- -i tests/unit/seed/embed/test_boostrap_link_via_app_data.py || die
- # TODO: investigate
- sed -e 's:test_cross_major:_&:' \
- -i tests/unit/create/test_creator.py || die
-
- distutils-r1_src_prepare
-}
-
-src_configure() {
- export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
-}
-
-python_test() {
- if [[ ${EPYTHON} == pypy3 ]]; then
- # TODO: skip with better granularity
- ewarn "Skipping broken tests on pypy3"
- return
- fi
-
- distutils_install_for_testing
-
- pytest -vv || die "Tests fail with ${EPYTHON}"
-}
-
-pkg_postinst() {
- elog "Please note that while virtualenv package no longer supports"
- elog "Python 2.7, you can still create py2.7 virtualenvs via:"
- elog " $ virtualenv -p 2.7 ..."
-}
diff --git a/dev-python/virtualenv/virtualenv-20.0.33.ebuild b/dev-python/virtualenv/virtualenv-20.0.33.ebuild
deleted file mode 100644
index a734981f18b..00000000000
--- a/dev-python/virtualenv/virtualenv-20.0.33.ebuild
+++ /dev/null
@@ -1,93 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6..9} pypy3 )
-DISTUTILS_USE_SETUPTOOLS=manual
-
-inherit distutils-r1
-
-DESCRIPTION="Virtual Python Environment builder"
-HOMEPAGE="
- https://virtualenv.pypa.io/en/stable/
- https://pypi.org/project/virtualenv/
- https://github.com/pypa/virtualenv/
-"
-SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- >=dev-python/appdirs-1.4.3[${PYTHON_USEDEP}]
- >=dev-python/distlib-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/filelock-3[${PYTHON_USEDEP}]
- >=dev-python/setuptools-41[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/importlib_metadata-0.12[${PYTHON_USEDEP}]
- ' python3_{6,7} pypy3)
- $(python_gen_cond_dep '
- >=dev-python/importlib_resources-1.0[${PYTHON_USEDEP}]
- ' python3_6 pypy3)"
-# coverage is used somehow magically in virtualenv, maybe it actually
-# tests something useful
-BDEPEND="
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- ${RDEPEND}
- $(python_gen_cond_dep '
- dev-python/coverage[${PYTHON_USEDEP}]
- dev-python/flaky[${PYTHON_USEDEP}]
- >=dev-python/pip-20.0.2[${PYTHON_USEDEP}]
- >=dev-python/pytest-5[${PYTHON_USEDEP}]
- >=dev-python/pytest-freezegun-0.4.1[${PYTHON_USEDEP}]
- >=dev-python/pytest-mock-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/pytest-timeout-1.3.4[${PYTHON_USEDEP}]
- dev-python/wheel[${PYTHON_USEDEP}]
- >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
- ' 'python3*')
- )"
-
-distutils_enable_sphinx docs \
- dev-python/sphinx_rtd_theme \
- dev-python/towncrier
-
-src_prepare() {
- # we don't have xonsh
- rm tests/unit/activation/test_xonsh.py || die
- # require internet
- sed -e 's:test_seed_link_via_app_data:_&:' \
- -i tests/unit/seed/embed/test_boostrap_link_via_app_data.py || die
- # TODO: investigate
- sed -e 's:test_cross_major:_&:' \
- -i tests/unit/create/test_creator.py || die
-
- distutils-r1_src_prepare
-}
-
-src_configure() {
- export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
-}
-
-python_test() {
- if [[ ${EPYTHON} == pypy3 ]]; then
- # TODO: skip with better granularity
- ewarn "Skipping broken tests on pypy3"
- return
- fi
-
- distutils_install_for_testing
-
- pytest -vv || die "Tests fail with ${EPYTHON}"
-}
-
-pkg_postinst() {
- elog "Please note that while virtualenv package no longer supports"
- elog "Python 2.7, you can still create py2.7 virtualenvs via:"
- elog " $ virtualenv -p 2.7 ..."
-}
diff --git a/dev-python/virtualenv/virtualenv-20.0.34.ebuild b/dev-python/virtualenv/virtualenv-20.0.34.ebuild
deleted file mode 100644
index a734981f18b..00000000000
--- a/dev-python/virtualenv/virtualenv-20.0.34.ebuild
+++ /dev/null
@@ -1,93 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6..9} pypy3 )
-DISTUTILS_USE_SETUPTOOLS=manual
-
-inherit distutils-r1
-
-DESCRIPTION="Virtual Python Environment builder"
-HOMEPAGE="
- https://virtualenv.pypa.io/en/stable/
- https://pypi.org/project/virtualenv/
- https://github.com/pypa/virtualenv/
-"
-SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- >=dev-python/appdirs-1.4.3[${PYTHON_USEDEP}]
- >=dev-python/distlib-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/filelock-3[${PYTHON_USEDEP}]
- >=dev-python/setuptools-41[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/importlib_metadata-0.12[${PYTHON_USEDEP}]
- ' python3_{6,7} pypy3)
- $(python_gen_cond_dep '
- >=dev-python/importlib_resources-1.0[${PYTHON_USEDEP}]
- ' python3_6 pypy3)"
-# coverage is used somehow magically in virtualenv, maybe it actually
-# tests something useful
-BDEPEND="
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- ${RDEPEND}
- $(python_gen_cond_dep '
- dev-python/coverage[${PYTHON_USEDEP}]
- dev-python/flaky[${PYTHON_USEDEP}]
- >=dev-python/pip-20.0.2[${PYTHON_USEDEP}]
- >=dev-python/pytest-5[${PYTHON_USEDEP}]
- >=dev-python/pytest-freezegun-0.4.1[${PYTHON_USEDEP}]
- >=dev-python/pytest-mock-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/pytest-timeout-1.3.4[${PYTHON_USEDEP}]
- dev-python/wheel[${PYTHON_USEDEP}]
- >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
- ' 'python3*')
- )"
-
-distutils_enable_sphinx docs \
- dev-python/sphinx_rtd_theme \
- dev-python/towncrier
-
-src_prepare() {
- # we don't have xonsh
- rm tests/unit/activation/test_xonsh.py || die
- # require internet
- sed -e 's:test_seed_link_via_app_data:_&:' \
- -i tests/unit/seed/embed/test_boostrap_link_via_app_data.py || die
- # TODO: investigate
- sed -e 's:test_cross_major:_&:' \
- -i tests/unit/create/test_creator.py || die
-
- distutils-r1_src_prepare
-}
-
-src_configure() {
- export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
-}
-
-python_test() {
- if [[ ${EPYTHON} == pypy3 ]]; then
- # TODO: skip with better granularity
- ewarn "Skipping broken tests on pypy3"
- return
- fi
-
- distutils_install_for_testing
-
- pytest -vv || die "Tests fail with ${EPYTHON}"
-}
-
-pkg_postinst() {
- elog "Please note that while virtualenv package no longer supports"
- elog "Python 2.7, you can still create py2.7 virtualenvs via:"
- elog " $ virtualenv -p 2.7 ..."
-}